## GeditWindowActivatable

GeditWindowActivatable — Interface for activatable extensions on windows

## Functions

void | gedit_window_activatable_activate ()
void | gedit_window_activatable_deactivate ()
void | gedit_window_activatable_update_state ()

## Properties

GeditWindow * | window | Read / Write / Construct Only

## Types and Values

| GeditWindowActivatable

## Object Hierarchy

        GInterface
        ╰── GeditWindowActivatable

## Prerequisites

GeditWindowActivatable requires GObject.

## Description

GeditWindowActivatable is an interface which should be implemented by extensions that should be activated on a gedit main window.

## Functions

### gedit_window_activatable_activate ()

    void
    gedit_window_activatable_activate (GeditWindowActivatable *activatable);

Activates the extension on the window property.

#### Parameters

activatable | A GeditWindowActivatable. |

### gedit_window_activatable_deactivate ()

    void
    gedit_window_activatable_deactivate (GeditWindowActivatable *activatable);

Deactivates the extension on the window property.

#### Parameters

activatable | A GeditWindowActivatable. |

### gedit_window_activatable_update_state ()

    void
    gedit_window_activatable_update_state (GeditWindowActivatable *activatable);

Triggers an update of the extension internal state to take into account state changes in the window, due to some event or user action.

#### Parameters

activatable | A GeditWindowActivatable. |

## Types and Values

### GeditWindowActivatable

    typedef struct _GeditWindowActivatable GeditWindowActivatable;

## Property Details

### The `“window”` property

      “window”                   GeditWindow *

The window property contains the gedit window for this GeditWindowActivatable instance.

Owner: GeditWindowActivatable

Flags: Read / Write / Construct Only

## See Also

PeasExtensionSet